Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.lib.sql
Class ColumnHeader

    java.lang.Object
      |
      +--org.apache.xalan.utils.UnImplNode
            |
            +--org.apache.xalan.lib.sql.StreamableNode
                  |
                  +--org.apache.xalan.lib.sql.ColumnHeader

public class ColumnHeader
extends StreamableNode
implements NamedNodeMap

This class represents a column-header Node, which contains the metadata for a column.

Constructor Summary
`ColumnHeader(XStatement statement, RowSet parent, int columnIndex, java.sql.ResultSetMetaData metaData)`

Method Summary
`NamedNodeMap` | `getAttributes()` Return the metadata for this column.
`Node` | `getFirstChild()` Always returns null.
`int` | `getLength()` Get the number of attributes of column metadata attributes.
`Node` | `getNamedItem(java.lang.String name)` Get an attribute by name from the metadata for this column.
`Node` | `getNamedItemNS(java.lang.String namespaceURI, java.lang.String localName)`
`Node` | `getNextSibling()` Returns column-header Node for the next column.
`java.lang.String` | `getNodeName()` Return "column-header".
`Node` | `getParentNode()` The parent node of a column-header Node is the row-set Node.
`boolean` | `hasChildNodes()` Tell if there are any children of the column-header Node, which is always false.
`Node` | `item(int index)` Get an attribute by index from the metadata for this column.
`Node` | `removeNamedItem(java.lang.String name)`
`Node` | `removeNamedItemNS(java.lang.String namespaceURI, java.lang.String localName)`
`Node` | `setNamedItem(Node arg)`
`Node` | `setNamedItemNS(Node arg)`

Methods inherited from class org.apache.xalan.lib.sql.StreamableNode
`getLocalName, getNamespaceURI, getNodeTest, getNodeType, getOwnerDocument, getPrefix, getUid, getXStatement, setNodeTest, supports`

Methods inherited from class org.apache.xalan.utils.UnImplNode
`appendChild, appendData, cloneNode, createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, deleteData, error, error, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildNodes, getDoctype, getDocumentElement, getElementById, getElementsByTagName, getElementsByTagNameNS, getImplementation, getLastChild, getNodeValue, getOwnerElement, getPreviousSibling, getSpecified, getTagName, hasAttribute, hasAttributeNS, hasAttributes, importNode, insertBefore, insertData, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, replaceChild, replaceData, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setData, setNodeValue, setPrefix, setValue, splitText, substringData`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ColumnHeader

    public ColumnHeader(XStatement statement,
                        RowSet parent,
                        int columnIndex,
                        java.sql.ResultSetMetaData metaData)

Method Detail

### getNodeName

    public java.lang.String getNodeName()

  Return "column-header".
  Overrides:
    getNodeName in class UnImplNode

### getFirstChild

    public Node getFirstChild()

  Always returns null.
  Overrides:
    getFirstChild in class UnImplNode

### getNextSibling

    public Node getNextSibling()

  Returns column-header Node for the next column.
  Returns:
    a ColumnHeader Node or null.
  Overrides:
    getNextSibling in class UnImplNode

### getParentNode

    public Node getParentNode()

  The parent node of a column-header Node is the row-set Node.
  Overrides:
    getParentNode in class UnImplNode

### hasChildNodes

    public boolean hasChildNodes()

  Tell if there are any children of the column-header Node, which is always false.
  Overrides:
    hasChildNodes in class UnImplNode

### getAttributes

    public NamedNodeMap getAttributes()

  Return the metadata for this column.
  Overrides:
    getAttributes in class StreamableNode

### getNamedItem

    public Node getNamedItem(java.lang.String name)

  Get an attribute by name from the metadata for this column.
  Specified by:
    getNamedItem in interface NamedNodeMap
  Overrides:
    getNamedItem in class StreamableNode

### item

    public Node item(int index)

  Get an attribute by index from the metadata for this column.
  Specified by:
    item in interface NamedNodeMap
  Overrides:
    item in class StreamableNode

### getLength

    public int getLength()

  Get the number of attributes of column metadata attributes.
  Specified by:
    getLength in interface NamedNodeMap
  Overrides:
    getLength in class StreamableNode

### getNamedItemNS

    public Node getNamedItemNS(java.lang.String namespaceURI,
                               java.lang.String localName)

  Specified by:
    getNamedItemNS in interface NamedNodeMap
  Overrides:
    getNamedItemNS in class StreamableNode

### setNamedItem

    public Node setNamedItem(Node arg)
                      throws DOMException

  Specified by:
    setNamedItem in interface NamedNodeMap
  Overrides:
    setNamedItem in class StreamableNode

### removeNamedItem

    public Node removeNamedItem(java.lang.String name)
                         throws DOMException

  Specified by:
    removeNamedItem in interface NamedNodeMap
  Overrides:
    removeNamedItem in class StreamableNode

### setNamedItemNS

    public Node setNamedItemNS(Node arg)
                        throws DOMException

  Specified by:
    setNamedItemNS in interface NamedNodeMap
  Overrides:
    setNamedItemNS in class StreamableNode

### removeNamedItemNS

    public Node removeNamedItemNS(java.lang.String namespaceURI,
                                  java.lang.String localName)
                           throws DOMException

  Specified by:
    removeNamedItemNS in interface NamedNodeMap
  Overrides:
    removeNamedItemNS in class StreamableNode

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.